System Secret Vault
Add System Secret
Add a new secret to the System Secret Vault for use in webhook templates
POST
Add a new secret to the System Secret Vault for use in webhook templates.
Base URL
All API requests should be made to:Example request
Request body
| Field | Type | Required | Description |
|---|---|---|---|
secret_key | string | Yes | Unique identifier/key name for the secret |
secret_value | string | Yes | The secret value to store |
Example response
Error response
If a secret with the same key already exists:Response fields
| Field | Type | Description |
|---|---|---|
success | boolean | Indicates if the request was successful |
details | string | Success message (only present on success) |
error | string | Error message (only present on error) |
secret_uuid | string | UUID of the existing secret (only present on error) |
Authorizations
API key for authentication. Get this from your dashboard by selecting a brand and going to API Keys section.
Brand UUID for authentication. Get this from your dashboard after adding a brand - it will be displayed in the UI.
Body
application/json
Secret configuration

